低危 Mozilla Firefox和Mozilla Firefox ESR 跨站脚本漏洞

CVE编号

CVE-2019-17022

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-01-09
漏洞描述
Mozilla Firefox和Mozilla Firefox ESR都是美国Mozilla基金会的产品。Mozilla Firefox是一款开源Web浏览器。Mozilla Firefox ESR是Firefox(Web浏览器)的一个延长支持版本。
Mozilla Firefox ESR 68.4之前版本和Mozilla Firefox 72之前版本中存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。

解决建议
用户可参考如下供应商提供的安全公告获得补丁信息:
https://www.mozilla.org/en-US/security/advisories/mfsa2020-01/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mozilla firefox * Up to
(excluding)
72.0
运行在以下环境
应用 mozilla firefox_esr * Up to
(excluding)
68.4
运行在以下环境
系统 alibaba_cloud_linux_2.1903 firefox * Up to
(excluding)
68.4.1-1.1.al7
运行在以下环境
系统 alpine_3.11 firefox * Up to
(excluding)
68.4.1-r0
运行在以下环境
系统 alpine_3.12 firefox * Up to
(excluding)
71.0.1-r0
运行在以下环境
系统 alpine_3.13 firefox * Up to
(excluding)
71.0.1-r0
运行在以下环境
系统 alpine_3.14 firefox * Up to
(excluding)
68.4.1-r0
运行在以下环境
系统 alpine_3.15 firefox * Up to
(excluding)
68.4.1-r0
运行在以下环境
系统 alpine_3.16 firefox * Up to
(excluding)
68.4.1-r0
运行在以下环境
系统 alpine_edge firefox * Up to
(excluding)
71.0.1-r0
运行在以下环境
系统 amazon linux_2 firefox * Up to
(excluding)
68.4.1-2.amzn2.0.1
运行在以下环境
系统 amazon_2 firefox * Up to
(excluding)
68.4.1-2.amzn2.0.1
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 canonical ubuntu_linux 19.04 -
运行在以下环境
系统 canonical ubuntu_linux 19.10 -
运行在以下环境
系统 centos_6 firefox * Up to
(excluding)
68.4.1-1.el6.centos
运行在以下环境
系统 centos_7 firefox * Up to
(excluding)
68.4.1-1.el7.centos
运行在以下环境
系统 centos_8 firefox * Up to
(excluding)
68.4.1-1.el8_1
运行在以下环境
系统 debian debian_linux 10.0 -
运行在以下环境
系统 debian debian_linux 8.0 -
运行在以下环境
系统 debian debian_linux 9.0 -
运行在以下环境
系统 debian_10 firefox * Up to
(excluding)
1:68.4.1-1~deb10u1
运行在以下环境
系统 debian_8 firefox * Up to
(excluding)
1:60.5.1-1~deb8u1
运行在以下环境
系统 debian_9 firefox * Up to
(excluding)
1:68.4.1-1~deb9u1
运行在以下环境
系统 opensuse_Leap_15.1 firefox * Up to
(excluding)
68.4.1-lp151.2.22.2
运行在以下环境
系统 oracle linux_6 firefox * Up to
(excluding)
68.4.1-1.0.1.el6_10
运行在以下环境
系统 oracle linux_7 firefox * Up to
(excluding)
68.4.1-1.0.1.el7_7
运行在以下环境
系统 oracle linux_8 firefox * Up to
(excluding)
68.4.1-1.0.1.el8_1
运行在以下环境
系统 oracle_6 firefox * Up to
(excluding)
68.4.1-1.0.1.el6_10
运行在以下环境
系统 oracle_7 firefox * Up to
(excluding)
68.4.1-1.0.1.el7_7
运行在以下环境
系统 oracle_8 firefox * Up to
(excluding)
68.4.1-1.0.1.el8_1
运行在以下环境
系统 redhat enterprise_linux_desktop 6.0 -
运行在以下环境
系统 redhat enterprise_linux_desktop 7.0 -
运行在以下环境
系统 redhat enterprise_linux_server 6.0 -
运行在以下环境
系统 redhat enterprise_linux_server 7.0 -
运行在以下环境
系统 redhat enterprise_linux_server_aus 7.7 -
运行在以下环境
系统 redhat enterprise_linux_server_tus 7.7 -
运行在以下环境
系统 redhat enterprise_linux_workstation 6.0 -
运行在以下环境
系统 redhat enterprise_linux_workstation 7.0 -
运行在以下环境
系统 redhat_6 firefox * Up to
(excluding)
0:68.4.1-1.el6_10
运行在以下环境
系统 redhat_6 thunderbird * Up to
(excluding)
0:68.4.1-2.el6_10
运行在以下环境
系统 redhat_7 firefox * Up to
(excluding)
0:68.4.1-1.el7_7
运行在以下环境
系统 redhat_7 thunderbird * Up to
(excluding)
0:68.4.1-2.el7_7
运行在以下环境
系统 redhat_8 firefox * Up to
(excluding)
68.4.1-1.el8_1
运行在以下环境
系统 sles_12 MozillaFirefox * Up to
(excluding)
68.4.1-109.101
运行在以下环境
系统 sles_12_SP4 firefox * Up to
(excluding)
68.4.1-109.101.1
运行在以下环境
系统 sles_12_SP5 firefox * Up to
(excluding)
68.4.1-109.101.1
运行在以下环境
系统 suse_12 MozillaFirefox * Up to
(excluding)
68.4.1-109.101
运行在以下环境
系统 suse_12_SP4 firefox * Up to
(excluding)
68.4.1-109.101.1
运行在以下环境
系统 suse_12_SP5 firefox * Up to
(excluding)
68.4.1-109.101.1
运行在以下环境
系统 ubuntu_16.04 firefox * Up to
(excluding)
72.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_16.04.7_lts firefox * Up to
(excluding)
72.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_16.04_lts firefox * Up to
(excluding)
72.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_18.04 firefox * Up to
(excluding)
72.0.1+build1-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts firefox * Up to
(excluding)
72.0.1+build1-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04_lts firefox * Up to
(excluding)
72.0.1+build1-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_20.04 firefox * Up to
(excluding)
1:68.4.1+build1-0ubuntu1
运行在以下环境
系统 ubuntu_21.04 firefox * Up to
(excluding)
1:68.4.1+build1-0ubuntu1
运行在以下环境
系统 ubuntu_21.10 firefox * Up to
(excluding)
72.0.1+build1-0ubuntu1
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况